Index: trunk/IPs/systemC/processor/Morpheo/Files/Instance_debug.cfg
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Files/Instance_debug.cfg	(revision 107)
+++ trunk/IPs/systemC/processor/Morpheo/Files/Instance_debug.cfg	(revision 108)
@@ -5,6 +5,6 @@
   <thread id="0">             
     <parameter name="size_ifetch_queue"                     value="4" />
-    <parameter name="nb_inst_fetch"                         value="2" />
-    <parameter name="ras_size_queue"                        value="4" />
+    <parameter name="nb_inst_fetch"                         value="4" />
+    <parameter name="ras_size_queue"                        value="8" />
     <parameter name="upt_size_queue"                        value="4" />
     <parameter name="ufpt_size_queue"                       value="4" />
@@ -16,6 +16,6 @@
                                                             
   <decod_bloc id="0">                                       
-    <parameter name="size_decod_queue"                      value="4" />
-    <parameter name="nb_inst_decod"                         value="1" />
+    <parameter name="size_decod_queue"                      value="8" />
+    <parameter name="nb_inst_decod"                         value="4" />
     <parameter name="nb_context_select"                     value="1" />
     <parameter name="context_select_priority"               value="1" />
@@ -24,5 +24,5 @@
                                                             
   <rename_bloc id="0">                                      
-    <parameter name="nb_inst_insert"                        value="1" />
+    <parameter name="nb_inst_insert"                        value="2" />
     <parameter name="nb_inst_retire"                        value="1" />
     <parameter name="rename_select_priority"                value="1" />
@@ -30,7 +30,7 @@
     <parameter name="rename_select_nb_front_end_select"     value="1" />
     <parameter name="nb_general_register"                   value="64"/>
-    <parameter name="nb_special_register"                   value="4" />
-    <parameter name="nb_reg_free"                           value="1" />
-    <parameter name="nb_rename_unit_bank"                   value="1" />
+    <parameter name="nb_special_register"                   value="16" />
+    <parameter name="nb_reg_free"                           value="4" />
+    <parameter name="nb_rename_unit_bank"                   value="4" />
     <parameter name="size_read_counter"                     value="4" />
   </rename_bloc>                                            
@@ -41,4 +41,10 @@
     <parameter name="nb_inst_retire_reservation_station"    value="1" />
   </read_bloc>                                              
+
+  <read_bloc id="1">                                        
+    <parameter name="size_read_queue"                       value="4" />
+    <parameter name="size_reservation_station"              value="4" />
+    <parameter name="nb_inst_retire_reservation_station"    value="1" />
+  </read_bloc>                                              
                                                             
   <write_bloc id="0">                                       
@@ -54,9 +60,21 @@
   </write_bloc>                                             
 
+  <write_bloc id="2">                                       
+    <parameter name="size_write_queue"                      value="4" />
+    <parameter name="size_execute_queue"                    value="4" />
+    <parameter name="nb_bypass_write"                       value="0" />
+  </write_bloc>                                             
+
+  <write_bloc id="3">                                       
+    <parameter name="size_write_queue"                      value="4" />
+    <parameter name="size_execute_queue"                    value="4" />
+    <parameter name="nb_bypass_write"                       value="0" />
+  </write_bloc>                                             
+
   <load_store_unit id="0">                                  
-    <parameter name="size_store_queue"                      value="4" />
-    <parameter name="size_load_queue"                       value="4" />
-    <parameter name="size_speculative_access_queue"         value="2" />
-    <parameter name="nb_port_check"                         value="1" />
+    <parameter name="size_store_queue"                      value="8" />
+    <parameter name="size_load_queue"                       value="8" />
+    <parameter name="size_speculative_access_queue"         value="4" />
+    <parameter name="nb_port_check"                         value="4" />
     <parameter name="speculative_load"                      value="2" />
     <parameter name="nb_bypass_memory"                      value="0" />
@@ -76,9 +94,9 @@
     <parameter name="nb_inst_branch_decod"                  value="1" />
     <parameter name="nb_inst_branch_update"                 value="1" />
-    <parameter name="btb_size_queue"                        value="4" />
-    <parameter name="btb_associativity"                     value="1" />
+    <parameter name="btb_size_queue"                        value="64" />
+    <parameter name="btb_associativity"                     value="4" />
     <parameter name="btb_size_counter"                      value="2" />
     <parameter name="btb_victim_scheme"                     value="3" />
-    <parameter name="dir_predictor_scheme"                  value="3" />
+    <parameter name="dir_predictor_scheme"                  value="2" />
                                                             
     <predictor id="0">                                      
@@ -115,5 +133,5 @@
   <ooo_engine id="0">
     <parameter name="nb_rename_unit"                        value="1" />
-    <parameter name="nb_inst_issue"                         value="1" />
+    <parameter name="nb_inst_issue"                         value="2" />
     <parameter name="nb_inst_reexecute"                     value="1" />
     <parameter name="nb_inst_commit"                        value="1" />
@@ -121,10 +139,10 @@
     <parameter name="nb_rename_unit_select"                 value="1" />
     <parameter name="nb_execute_loop_select"                value="1" />
-    <parameter name="size_re_order_buffer"                  value="16" />
-    <parameter name="nb_re_order_buffer_bank"               value="1" />
+    <parameter name="size_re_order_buffer"                  value="32" />
+    <parameter name="nb_re_order_buffer_bank"               value="4" />
     <parameter name="commit_priority"                       value="1" />
     <parameter name="commit_load_balancing"                 value="1" />
-    <parameter name="size_issue_queue"                      value="4" />
-    <parameter name="nb_issue_queue_bank"                   value="1" />
+    <parameter name="size_issue_queue"                      value="8" />
+    <parameter name="nb_issue_queue_bank"                   value="4" />
     <parameter name="issue_priority"                        value="1" />
     <parameter name="issue_load_balancing"                  value="1" />
@@ -135,12 +153,12 @@
 
   <execute_loop id="0">
-    <parameter name="nb_read_unit"                          value="1" />
-    <parameter name="nb_write_unit"                         value="2" />
+    <parameter name="nb_read_unit"                          value="2" />
+    <parameter name="nb_write_unit"                         value="4" />
     <parameter name="nb_gpr_bank"                           value="1" />
-    <parameter name="nb_gpr_port_read_by_bank"              value="2" />
-    <parameter name="nb_gpr_port_write_by_bank"             value="1" />
+    <parameter name="nb_gpr_port_read_by_bank"              value="4" />
+    <parameter name="nb_gpr_port_write_by_bank"             value="2" />
     <parameter name="nb_spr_bank"                           value="1" />
-    <parameter name="nb_spr_port_read_by_bank"              value="1" />
-    <parameter name="nb_spr_port_write_by_bank"             value="1" />
+    <parameter name="nb_spr_port_read_by_bank"              value="2" />
+    <parameter name="nb_spr_port_write_by_bank"             value="2" />
     <parameter name="execution_unit_to_write_unit_priority" value="1" />
     <parameter name="read_unit_to_execution_unit_priority"  value="1" />
@@ -171,6 +189,9 @@
   <link name="link_rename_unit_with_rename_bloc"       src="0"     dest="0.0" />
   <link name="link_read_unit_with_read_bloc"           src="0"     dest="0.0" />
+  <link name="link_read_unit_with_read_bloc"           src="1"     dest="0.1" />
   <link name="link_write_unit_with_write_bloc"         src="0"     dest="0.0" />
   <link name="link_write_unit_with_write_bloc"         src="1"     dest="0.1" />
+  <link name="link_write_unit_with_write_bloc"         src="2"     dest="0.2" />
+  <link name="link_write_unit_with_write_bloc"         src="3"     dest="0.3" />
   <link name="link_decod_bloc_with_thread"             src="0"     dest="0"   />
   <link name="link_rename_bloc_with_front_end"         src="0"     dest="0"   />
@@ -181,10 +202,19 @@
 
   <link name="table_dispatch"                          src="0.0.0" dest="1"   />
+  <link name="table_dispatch"                          src="0.1.0" dest="1"   />
+  <link name="table_dispatch"                          src="0.0.1" dest="1"   />
+  <link name="table_dispatch"                          src="0.1.1" dest="1"   />
   <link name="link_read_bloc_and_load_store_unit"      src="0.0"   dest="1"   />
+  <link name="link_read_bloc_and_load_store_unit"      src="1.0"   dest="1"   />
   <link name="link_read_bloc_and_functionnal_unit"     src="0.0"   dest="1"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="1.0"   dest="1"   />
   <link name="link_write_bloc_and_load_store_unit"     src="0.0"   dest="1"   />
   <link name="link_write_bloc_and_load_store_unit"     src="1.0"   dest="1"   />
+  <link name="link_write_bloc_and_load_store_unit"     src="2.0"   dest="1"   />
+  <link name="link_write_bloc_and_load_store_unit"     src="3.0"   dest="1"   />
   <link name="link_write_bloc_and_functionnal_unit"    src="0.0"   dest="1"   />
   <link name="link_write_bloc_and_functionnal_unit"    src="1.0"   dest="1"   />
+  <link name="link_write_bloc_and_functionnal_unit"    src="2.0"   dest="1"   />
+  <link name="link_write_bloc_and_functionnal_unit"    src="3.0"   dest="1"   />
   <link name="link_thread_and_functionnal_unit"        src="0.0"   dest="1"   />
 
Index: trunk/IPs/systemC/processor/Morpheo/Files/Morpheo.sim
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Files/Morpheo.sim	(revision 107)
+++ trunk/IPs/systemC/processor/Morpheo/Files/Morpheo.sim	(revision 108)
@@ -3,28 +3,96 @@
 <parameters >
 
-  <parameter name="use_systemc"                value="1" />
-  <parameter name="use_vhdl"                   value="0" />
-  <parameter name="use_vhdl_testbench"         value="0" />
-  <parameter name="use_vhdl_testbench_assert"  value="0" />
-  <parameter name="use_position"               value="0" />
-  <parameter name="use_statistics"             value="1" />
-  <parameter name="use_information"            value="0" />
-  <parameter name="use_header"                 value="0" />
-                                               
-  <parameter name="statistics_cycle_start"     value="0" />
-  <parameter name="statistics_period"          value="0" />
-                                               
-  <parameter name="simulation_nb_cycle"        value="50000" />
-  <parameter name="simulation_nb_instruction"  value="0"   />
+  <parameter  name="use_systemc"                            value="1" />
+  <parameter  name="use_vhdl"                               value="0" />
+  <parameter  name="use_vhdl_testbench"                     value="0" />
+  <parameter  name="use_vhdl_testbench_assert"              value="0" />
+  <parameter  name="use_position"                           value="0" />
+  <parameter  name="use_statistics"                         value="1" />
+  <parameter  name="use_information"                        value="0" />
+  <parameter  name="use_header"                             value="0" />
+                                                            
+  <parameter  name="statistics_cycle_start"                 value="0" />
+  <parameter  name="statistics_period"                      value="0" />
+                                                            
+  <parameter  name="simulation_nb_cycle"                    value="60000" />
+  <parameter  name="simulation_nb_instruction"              value="0"   />
+                                                            
+  <parameter  name="directory_statistics"                   value="." />
+  <parameter  name="directory_vhdl"                         value="." />
+  <parameter  name="directory_position"                     value="." />
+  <parameter  name="directory_log"                          value="." />
+                                                            
+  <parameter  name="debug_level"                            value="0"/>
+  <parameter  name="debug_cycle_start"                      value="0" />
+  <parameter  name="debug_cycle_stop"                       value="400" />
+  <parameter  name="debug_have_log_file"                    value="0" />
 
-  <parameter name="directory_statistics"       value="." />
-  <parameter name="directory_vhdl"             value="." />
-  <parameter name="directory_position"         value="." />
-  <parameter name="directory_log"              value="." />
-
-  <parameter name="debug_level"                value="0" />
-  <parameter name="debug_cycle_start"          value="310" />
-  <parameter name="debug_cycle_stop"           value="350" />
-  <parameter name="debug_have_log_file"        value="0" />
+  <simulation component="Counter"                           value="systemc" />
+  <simulation component="Priority"                          value="systemc" />
+  <simulation component="Queue_Control"                     value="systemc" />         
+  <simulation component="Queue"                             value="systemc" /> 
+  <simulation component="RegisterFile_Monolithic"           value="systemc" />
+  <simulation component="RegisterFile_Multi_Banked"         value="systemc" />
+  <simulation component="RegisterFile"                      value="systemc" /> 
+  <simulation component="Select_Priority_Fixed"             value="systemc" />
+  <simulation component="Select"                            value="systemc" /> 
+  <simulation component="Shifter"                           value="systemc" /> 
+  <simulation component="Sort"                              value="systemc" /> 
+  <simulation component="Victim_Pseudo_LRU"                 value="systemc" />
+  <simulation component="Victim"                            value="systemc" /> 
+  <simulation component="Execute_loop_Glue"                 value="systemc" />
+  <simulation component="Functionnal_unit"                  value="systemc" />
+  <simulation component="Load_store_unit"                   value="systemc" />
+  <simulation component="Read_queue"                        value="systemc" />
+  <simulation component="Reservation_station"               value="systemc" />
+  <simulation component="Read_unit"                         value="systemc" />
+  <simulation component="Execute_queue"                     value="systemc" />
+  <simulation component="Write_queue"                       value="systemc" />
+  <simulation component="Write_unit"                        value="systemc" />
+  <simulation component="Execution_unit_to_Write_unit"      value="systemc" />
+  <simulation component="Read_unit_to_Execution_unit"       value="systemc" />
+  <simulation component="Register_unit_Glue"                value="systemc" />
+  <simulation component="Register_unit"                     value="systemc" />
+  <simulation component="Execute_loop"                      value="systemc" />
+  <simulation component="Commit_unit"                       value="systemc" />
+  <simulation component="Issue_queue"                       value="systemc" />
+  <simulation component="OOO_Engine_Glue"                   value="systemc" />
+  <simulation component="Reexecute_unit"                    value="systemc" />
+  <simulation component="Load_Store_pointer_unit"           value="systemc" />
+  <simulation component="Dependency_checking_unit"          value="systemc" />
+  <simulation component="Free_List_unit"                    value="systemc" />
+  <simulation component="Register_Address_Translation_unit" value="systemc" />
+  <simulation component="Register_translation_unit_Glue"    value="systemc" />
+  <simulation component="Stat_List_unit"                    value="systemc" />
+  <simulation component="Register_translation_unit"         value="systemc" />
+  <simulation component="Rename_unit_Glue"                  value="systemc" />
+  <simulation component="Rename_select"                     value="systemc" />
+  <simulation component="Rename_unit"                       value="systemc" />
+  <simulation component="Special_Register_unit"             value="systemc" />
+  <simulation component="OOO_Engine"                        value="systemc" />
+  <simulation component="Context_State"                     value="systemc" />
+  <simulation component="Decod"                             value="systemc" />
+  <simulation component="Decod_queue"                       value="systemc" />
+  <simulation component="Decod_unit"                        value="systemc" />
+  <simulation component="Front_end_Glue"                    value="systemc" />
+  <simulation component="Address_management"                value="systemc" />
+  <simulation component="Ifetch_queue"                      value="systemc" />
+  <simulation component="Ifetch_unit_Glue"                  value="systemc" />
+  <simulation component="Ifetch_unit"                       value="systemc" />
+  <simulation component="Branch_Target_Buffer_Glue"         value="systemc" />
+  <simulation component="Branch_Target_Buffer_Register"     value="systemc" />
+  <simulation component="Branch_Target_Buffer"              value="systemc" />
+  <simulation component="Direction_Glue"                    value="systemc" />
+  <simulation component="Direction"                         value="systemc" />
+  <simulation component="Prediction_unit_Glue"              value="systemc" />
+  <simulation component="Return_Address_Stack"              value="systemc" />
+  <simulation component="Update_Prediction_Table"           value="systemc" />
+  <simulation component="Prediction_unit"                   value="systemc" />
+  <simulation component="Front_end"                         value="systemc" />
+  <simulation component="Icache_Access"                     value="systemc" />
+  <simulation component="Dcache_Access"                     value="systemc" />
+  <simulation component="Core_Glue"                         value="systemc" />
+  <simulation component="Core"                              value="systemc" />
+  <simulation component="TopLevel"                          value="systemc" />
 
 </parameters>
